# ACE_RMCast::Fragment Class Reference

`#include <Fragment.h>`

Inheritance diagram for ACE_RMCast::Fragment:

[legend]
Collaboration diagram for ACE_RMCast::Fragment:

[legend]
List of all members.

## Public Member Functions

| Fragment (Parameters const &params)
virtual void | send (Message_ptr m)

## Public Attributes

Parameters const & | params_

## Private Attributes

Mutex | mutex_
u64 | sn_

## Constructor & Destructor Documentation

ACE_RMCast::Fragment::Fragment | ( | Parameters const & | params | ) |

## Member Function Documentation

void ACE_RMCast::Fragment::send | ( | Message_ptr | m | ) | `[virtual]`

| Reimplemented from ACE_RMCast::Out_Element.

## Member Data Documentation

Mutex ACE_RMCast::Fragment::mutex_`[private]`

Parameters const& ACE_RMCast::Fragment::params_

u64 ACE_RMCast::Fragment::sn_`[private]`

The documentation for this class was generated from the following files:

- Fragment.h
- Fragment.cpp